//~ Boost nowarn_unused_var test program

//~ Copyright 2003, Rene Rivera.
//~ Use, modification and distribution are subject to the
//~ Boost Software License, Version 1.0. (See accompanying file
//~ LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

//~ See http://www.boost.org/libs/utility for documentation.

#include <boost/disable_warning.hpp>


namespace
{
    int f(int used_arg, int unused_arg)
    {
        boost::no_unused_variable_warning(unused_arg);
        return used_arg;
    }
    
    int g(int used_arg)
    {
        int unused_var = 0;
        boost::no_unused_variable_warning(unused_var);
        return used_arg;
    }
}

int main()
{
    int r0 = f(0,-1);
    int r1 = g(1);
    
    return r0+r1;
}
